Jump to content

Switch - Atmosphère 1.5.3


Recommended Posts

1.5.3 is Atmosphère's seventy-second official release.

Please be sure to update fusee when upgrading to 1.5.3. fusee-primary no longer exists, and will not work any more.

With thanks to the @switchbrew team, Atmosphère 1.5.3 is bundled with hbl 2.4.3, and hbmenu 3.5.1.

The following was changed since the last release:

  • Support was added for 16.0.3.
  • Atmosphère was updated to use GCC 13/newlib (latest devkitA64/devkitARM releases).
    • Please note: This introduces a known issue, which is currently being worked on.
      • As you may recall from the 1.4.1 changelog, Fire Emblem: Engage requires enormous amounts of memory to support using layeredfs mods with the game.
      • Latest GCC/newlib slightly increases malloc overhead size, which makes the previous memory increase insufficient.
      • A general-case solution to this is in the works, which should hopefully fix the problem in a way that doesn't jinx me for the future.
  • A number of minor issues were fixed and improvements were made, including:
    • An issue was fixed that caused system font replacement to not work on 16.0.0+.
    • An minor accuracy issue was addressed in mesosphere's management of certain memory ranges; this issue would have had zero visible impact to the end-user.
  • General system stability improvements to enhance the user's experience.

For information on the featureset supported by 1.5, please see the official release notes.

View the full article

Link to comment
Share on other sites

×
×
  • Create New...